Page MenuHomePhabricator

Add PHP 8.0 support to WikiPEG
Closed, ResolvedPublic

Description

WikiPEG doesn't support PHP 8.0, but parsoid has "php": ">=7.2.0",...

Event Timeline

Reedy created this task.Dec 8 2020, 11:02 PM
Reedy updated the task description. (Show Details)

Change 649967 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[wikipeg@master] [WIP] Allow installing on PHP 8.0

https://gerrit.wikimedia.org/r/649967

Change 650250 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [wikipeg] Make PHP 8.0 job required

https://gerrit.wikimedia.org/r/650250

Change 650250 merged by jenkins-bot:
[integration/config@master] Zuul: [wikipeg] Make PHP 8.0 job required

https://gerrit.wikimedia.org/r/650250

Change 650257 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [wikipeg] Run the composer-test-package suite

https://gerrit.wikimedia.org/r/650257

Change 650257 merged by jenkins-bot:
[integration/config@master] Zuul: [wikipeg] Run the composer-test-package suite

https://gerrit.wikimedia.org/r/650257

Mentioned in SAL (#wikimedia-releng) [2020-12-17T20:59:06Z] <James_F> Zuul: [wikipeg] Run the composer-test-package suite T269720

Change 649967 merged by jenkins-bot:
[wikipeg@master] Allow installing on PHP 8.0

https://gerrit.wikimedia.org/r/649967

Jdforrester-WMF closed this task as Resolved.Dec 17 2020, 9:40 PM
Jdforrester-WMF assigned this task to Legoktm.